Package org.jbpm.process.builder.dialect.java

## Class JavaProcessDialect

- java.lang.Object
- - org.jbpm.process.builder.dialect.java.JavaProcessDialect

- All Implemented Interfaces:
    `ProcessDialect`

      public class JavaProcessDialect
      extends Object
      implements ProcessDialect

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaProcessDialect()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addProcess​(ProcessBuildContext context)` |
    `ActionBuilder` | `getActionBuilder()` |
    `AssignmentBuilder` | `getAssignmentBuilder()` |
    `ProcessClassBuilder` | `getProcessClassBuilder()` |
    `ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaProcessDialect

          public JavaProcessDialect()

  - ### Method Detail

    - #### addProcess

          public void addProcess​(ProcessBuildContext context)

      Specified by:
        `addProcess` in interface `ProcessDialect`

    - #### getActionBuilder

          public ActionBuilder getActionBuilder()

      Specified by:
        `getActionBuilder` in interface `ProcessDialect`

    - #### getProcessClassBuilder

          public ProcessClassBuilder getProcessClassBuilder()

      Specified by:
        `getProcessClassBuilder` in interface `ProcessDialect`

    - #### getReturnValueEvaluatorBuilder

          public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

      Specified by:
        `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`

    - #### getAssignmentBuilder

          public AssignmentBuilder getAssignmentBuilder()

      Specified by:
        `getAssignmentBuilder` in interface `ProcessDialect`